<h2>Seznam okruhu
    <md-button class="md-raised md-primary" ng-click="addCircuit()" flex-gt-sm="20">Add new circuit</md-button>
</h2>
<md-table-container>
    <table md-table md-progress="model.promise" class="circuitsTable">
        <thead md-head md-order="model.query.order">
            <tr md-row>
                <th md-column md-order-by="id">
                    <span>#Id</span>
                </th>
                <th md-column md-order-by="title">
                    <span>Title (CZ)</span>
                </th>
                <th md-column md-order-by="color">
                    <span>Color</span>
                </th>
                <th md-column md-order-by="primary_count">
                    <span ariaLabel="Primary points">Primary p.</span>
                </th>
                <th md-column md-order-by="secondary_count">
                    <span ariaLabel="Secondary points">Second. p.</span>
                </th>
                <th md-column class="actionsColumnHeader">Actions</th>
            </tr>
        </thead>
        <tbody md-body>
            <tr md-row md-select="circuit" md-select-id="id" md-auto-select ng-repeat="circuit in model.circuits | orderBy:model.query.order | limitTo:model.query.limit: (model.query.page -1) * model.query.limit">
                <td md-cell>{{circuit.id}}</td>
                <td md-cell>{{circuit.title}}</td>
                <td md-cell>
                    <div style="width:100%; height:100%; min-height: 100%;background-color:{{circuit.color}};">&nbsp;</div>
                </td>
                <td md-cell>{{circuit.primary_count}}</td>
                <td md-cell>{{circuit.secondary_count}}</td>
                <td md-cell class="actionsCell">
                    <div layout="row">
                        <a title="edit" href='' ng-click="editCircuit(circuit, $event)">
                            <i class="material-icons">mode_edit</i>
                        </a>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</md-table-container>
<md-table-pagination md-limit="model.query.limit" md-limit-options="[5, 10, 15]" md-page="model.query.page" md-total="{{model.circuits.length}}" md-on-paginate="getcircuits" md-page-select></md-table-pagination>
